# Point

Rust 2d Point

## Features

- Arithmetics overloaded (`+`, `-`, `*`, `/`, and `%` and their Assign friends (i.e. `+=`, `-=`))
- Point-likes handled (Point can handle `(T, T)` as Point-likes)
- Tested (Striving for 100% test coverage)
- Great for simple 2 dimension environments (where (1, 1) to (3, 3) has a distance of 2 or (2, 2))
- [serde](https:://crates.io/crate/serde) supported \*
- Uses [anyhow](https://crates.io/crate/anyhow)::Error for the `TryFrom<String>` implementation

\* This is hidden behind the `serde` feature
